var id_bg, ctx_bg; 
var id_hour, ctx_hour; 
var id_minute, ctx_minute; 
var id_second, ctx_second;
var bg_img = new Image();

function init() {
    id_bg = document.getElementById("bg");
    ctx_bg = id_bg.getContext("2d");
    id_hour = document.getElementById("hour");
    ctx_hour = id_hour.getContext("2d");
    id_minute = document.getElementById("minute");
    ctx_minute = id_minute.getContext("2d");
    id_second = document.getElementById("second");
    ctx_second = id_second.getContext("2d");
bg_img.src = "/Library/Wallpaper/iPhone/1294@2x~iphone.png";
    
    //　短針
    ctx_hour.beginPath();
    ctx_hour.lineWidth = 3;
    ctx_hour.lineCap = "round";
    ctx_hour.strokeStyle = "black";
    ctx_hour.fillStyle = "rgba(255,255,255,0.7)";
    ctx_hour.moveTo(320+15, 340);
    ctx_hour.lineTo(320+15, 140);
    ctx_hour.arc(320, 140, 15, 0,　Math.PI, true);
    ctx_hour.lineTo(320-15, 340);
    ctx_hour.arc(320, 340, 15, Math.PI, 0, true);
    ctx_hour.stroke();
    ctx_hour.fill();
    //　長針
    ctx_minute.beginPath();
    ctx_minute.lineWidth = 3;
    ctx_minute.lineCap = "round"
    ctx_minute.strokeStyle = "black";
    ctx_minute.fillStyle = "rgba(255,255,255,0.7)";
    ctx_minute.moveTo(320+10, 340);
    ctx_minute.lineTo(320+10, 40);
    ctx_minute.arc(320, 40, 10, 0,　Math.PI, true);
    ctx_minute.lineTo(320-10, 340);
    ctx_minute.arc(320, 340, 10, Math.PI, 0, true);
    ctx_minute.stroke();
    ctx_minute.fill();
    //　秒針
    ctx_second.beginPath();
    ctx_second.lineWidth = 3;
    ctx_second.strokeStyle = "red";
    ctx_second.moveTo(320, 340);
    ctx_second.lineTo(320, 20);
    ctx_second.stroke();
    ctx_second.beginPath();
    ctx_second.fillStyle = "red";
    ctx_second.arc(320, 320, 5, 0, 2 * Math.PI, false);
    ctx_second.fill();
    
    // 文字盤
    bg_img.onload = function() {
    ctx_bg.save();
    ctx_bg.beginPath();
    ctx_bg.arc(320, 320, 300, 0, 2 * Math.PI, false);
    ctx_bg.closePath();
    ctx_bg.clip();
    ctx_bg.drawImage(bg_img, 36, 110, 568, 552, 20, 20, 600, 600);
    ctx_bg.restore();
    
    //　目盛り＆数字
    for(i=1; i<=60; i++){
        ctx_bg.beginPath();
        ctx_bg.strokeStyle = "white";
        if(i%5 == 0){
            ctx_bg.lineWidth = 10;
            ctx_bg.moveTo(320+ 250*Math.cos(i*Math.PI/30), 320+ 250*Math.sin(i*Math.PI/30));
            ctx_bg.fillStyle = "white";
            ctx_bg.font = "bold 48px sans-serif";
            ctx_bg.textAlign = "center";
            ctx_bg.fillText(i/5, 320+ 220*Math.sin(i*Math.PI/30), 338- 220*Math.cos(i*Math.PI/30));
        }else{
            ctx_bg.lineWidth = 3;
            ctx_bg.moveTo(320+ 270*Math.cos(i*Math.PI/30), 320+ 270*Math.sin(i*Math.PI/30));
        }
        ctx_bg.lineTo(320+ 300*Math.cos(i*Math.PI/30), 320+ 300*Math.sin(i*Math.PI/30));
        ctx_bg.stroke();
    }
    }

    setTime();
}

function setTime() {
    get_date = new Date();
    cr_hours = get_date.getHours();
    cr_minutes = get_date.getMinutes();
    cr_seconds = get_date.getSeconds();

    h_angle = cr_hours*30 + cr_minutes/60*30;
    id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
    m_angle = cr_minutes*6 + cr_seconds/60*6;
    id_minute.style.webkitTransform = "rotate(" + m_angle + "deg)";
    s_angle = cr_seconds*6;
    id_second.style.webkitTransform = "rotate(" + s_angle + "deg)";

    setTimeout("setTime()",1000);
}